\name{S.princomp}
\alias{S.princomp}
\alias{S.summary.princomp}
\alias{S.rotate.princomp}
\alias{print.loadings1}
\title{PCA: Replacement for or front end to "princomp" of S+}
\description{
	UNFINISHED
  \code{S.princomp} is a front end for the S type call to princomp.
	
  \code{S.rotate.princomp} rotates the loadings and  scores  of  an  object  of  class
       "factanal" or "princomp".
  \code{S.summary.princomp} does an S type summary of princomp.
  \code{print.loadings1} Does not print cumulative variances as does
	print.loadings.
}
\usage{
S.princomp(form,data,cor,na.action)
S.rotate.princomp(y, ..., n = dim(xmat)[2])
S.summary.princomp(object, loadings = FALSE, cutoff = 0.1,...)
print.loadings1(x, digits = 3, cutoff = 0.1, sort = FALSE, ...) 
}
\arguments{
  \item{form}{either a formula or a numeric matrix or an object that can be coerced to a numeric matrix. If a matrix, the columns should   correspond   to   variables   and   the  rows  to observations.  If a formula, no variables  may  appear  on the left (response) side.}
  \item{x}{either a formula or a numeric matrix or an object that can be coerced to a numeric matrix}
  \item{data}{a data frame or matrix.  This is usually used only when x is a formula, though it may be used instead of x.}
  \item{cor}{a logical flag: if TRUE, then the principal  components are based on the correlation matrix rather than the covariance matrix. That is, the variables are scaled to have unit variance.}
  \item{na.action}{the function to handle missing values. The default is to create an error if missing values are found.}
  \item{y}{an object of class "factanal" or "princomp".}
  \item{n}{the number of components to rotate (the first n components
       are rotated).  By default all of the components present in
       the loadings are rotated, though scores are  only  rotated
       when enough information for rotation is available.}
  \item{object}{Object generated by \code{S.princomp}.}
  \item{loadings}{TRUE if loadings should be extracted.}
  \item{cutoff}{Loadings below this value will be printed as blank space.}
  \item{digits}{Number of decimal places to use in printing uniquenesses and loadings.}
  \item{sort}{logical. If true, the variables are sorted by their importance on each factor. Each
           variable with any loading larger than 0.5 (in modulus) is assigned to the factor with
           the largest loading, and the variables are printed in the order of the factor they are
           assigned to, then those unassigned.}
  \item{\dots}{Additional arguments, see \code{\link{summary.princomp}}
		or see \code{\link{S.rotate.default}}, \code{\link{factanal}}}

  \item{amat}{}
  \item{gamma}{}
  \item{normalize}{}
  \item{iter.max}{}
  \item{eps}{}
}
\value{
  \code{S.princomp}: An object  of  class  "princomp"  which  is  thedefault  list  of
components, but without scores. See \code{\link{princomp}}.

  \code{S.summary.princomp} An object  of  class  "summary.princomp"
which is a list with components:

  \code{varmat} with elements:  \code{   Standard deviation},   \code{   Proportion of Variance}.

  \code{Cumulative Proportion},

  \code{loadings},

  \code{cutoff}.
}
\source{ S-Plus 3.4.1
}
\author{Christian W. Hoffmann, \email{christian.hoffmann@wsl.ch}}
\keyword{multivariate}
